package ar.com.supervielle.wsdl.servicios.integracion.cliente_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:33:02.830-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1", name = "ClientePortType_v1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.cliente.consultadatospersonajuridica_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.altamodificacioncorreo_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatospersona_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatosadicionales_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapersonasxcuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaconvenios_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapersonaxdoc_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consolidarcliente_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaextensionpersona_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultainfinpositiva_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatosdomicilio_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapagosueldopersonajuridica_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaclientexcuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultacapacidadreducida_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatospersonafisica_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadocidentificacion_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.actualizacionmodular_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.registracapacidadreducida_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaclientexnom_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaclientexdoc_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.altamodificaciontelefono_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.altapersona_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapersonasvinculadas_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface ClientePortTypeV1 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/altaPersona")
    public void altaPersona(
        @WebParam(partName = "entrada", name = "ReqAltaPersona", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/altaPersona-v1")
        ar.com.supervielle.xsd.integracion.cliente.altapersona_v1.ReqAltaPersona entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaPersona", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/altaPersona-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.altapersona_v1.RespAltaPersona> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosDomicilio")
    public void consultaDatosDomicilio(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosDomicilio", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosDomicilio-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatosdomicilio_v1.ReqConsultaDatosDomicilio2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosDomicilio", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosDomicilio-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatosdomicilio_v1.RespConsultaDatosDomicilio2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosPersonaFisica")
    public void consultaDatosPersonaFisica(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosPersonaFisica", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersonaFisica-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatospersonafisica_v1.ReqConsultaDatosPersonaFisica entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosPersonaFisica", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersonaFisica-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatospersonafisica_v1.RespConsultaDatosPersonaFisica> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaClientexDoc")
    public void consultaClientexDoc(
        @WebParam(partName = "entrada", name = "ReqConsultaClientexDoc", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexDoc-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultaclientexdoc_v1.ReqConsultaClientexDoc2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaClientexDoc", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexDoc-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultaclientexdoc_v1.RespConsultaClientexDoc2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "ttp://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaPersonasVinculadas-v1")
    public void consultaPersonasVinculadas(
        @WebParam(partName = "entrada", name = "ReqConsultaPersonasVinculadas", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaPersonasVinculadas-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultapersonasvinculadas_v1.ReqConsultaPersonasVinculadas entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPersonasVinculadas", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaPersonasVinculadas-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultapersonasvinculadas_v1.RespConsultaPersonasVinculadas> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/actualizacionModular-v1")
    public void actualizacionModular(
        @WebParam(partName = "entrada", name = "ReqActualizacionModular", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/actualizacionModular-v1")
        ar.com.supervielle.xsd.integracion.cliente.actualizacionmodular_v1.ReqActualizacionModular entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespActualizacionModular", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/actualizacionModular-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.actualizacionmodular_v1.RespActualizacionModular> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaConvenios")
    public void consultaConvenios(
        @WebParam(partName = "entrada", name = "ReqConsultaConvenios", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/ConsultaConvenios-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultaconvenios_v1.ReqConsultaConvenios entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaConvenios", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/ConsultaConvenios-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultaconvenios_v1.RespConsultaConvenios> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaPersonasxCuenta-v1")
    public void consultaPersonasxCuenta(
        @WebParam(partName = "entrada", name = "ReqConsultaPersonasxCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaPersonasxCuenta-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultapersonasxcuenta_v1.ReqConsultaPersonasxCuenta entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPersonasxCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaPersonasxCuenta-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultapersonasxcuenta_v1.RespConsultaPersonasxCuenta> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaClientexNom")
    public void consultaClientexNombre(
        @WebParam(partName = "entrada", name = "ReqConsultaClientexNom", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexNom-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultaclientexnom_v1.ReqConsultaClientexNom entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaClientexNom", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexNom-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultaclientexnom_v1.RespConsultaClientexNom> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosDocIdentificacion")
    public void consultaDatosDocIdentificacion(
        @WebParam(partName = "entrada", name = "ReqConsultaDocIdent", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDocIdentificacion-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultadocidentificacion_v1.ReqConsultaDocIdent entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDocIdent", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDocIdentificacion-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadocidentificacion_v1.RespConsultaDocIdent> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaCapacidadReducida-v1")
    public void consultaCapacidadReducida(
        @WebParam(partName = "entrada", name = "ReqConsultaCapacidadReducida", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaCapacidadReducida-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultacapacidadreducida_v1.ReqConsultaCapacidadReducida entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCapacidadReducida", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaCapacidadReducida-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultacapacidadreducida_v1.RespConsultaCapacidadReducida> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consolidarCliente")
    public void consolidarCliente(
        @WebParam(partName = "entrada", name = "ReqConsolidarCliente", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consolidarCliente-v1")
        ar.com.supervielle.xsd.integracion.cliente.consolidarcliente_v1.ReqConsolidarCliente entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsolidarCliente", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consolidarCliente-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consolidarcliente_v1.RespConsolidarCliente> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaPagoSueldoPersonaJuridica")
    public void consultaPagoSueldoPersonaJuridica(
        @WebParam(partName = "entrada", name = "ReqConsultaPagoSueldoPersonaJuridica", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/ConsultaPagoSueldoPersonaJuridica-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultapagosueldopersonajuridica_v1.ReqConsultaPagoSueldoPersonaJuridica entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPagoSueldoPersonaJuridica", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/ConsultaPagoSueldoPersonaJuridica-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultapagosueldopersonajuridica_v1.RespConsultaPagoSueldoPersonaJuridica> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/registraCapacidadReducida-v1")
    public void registraCapacidadReducida(
        @WebParam(partName = "entrada", name = "ReqRegistraCapacidadReducida", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/registraCapacidadReducida-v1")
        ar.com.supervielle.xsd.integracion.cliente.registracapacidadreducida_v1.ReqRegistraCapacidadReducida entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespRegistraCapacidadReducida", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/registraCapacidadReducida-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.registracapacidadreducida_v1.RespRegistraCapacidadReducida> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaClientexCuenta")
    public void consultaClientexCuenta(
        @WebParam(partName = "entrada", name = "ReqConsultaClientexCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexCuenta-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultaclientexcuenta_v1.ReqConsultaClientexCuenta entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaClientexCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexCuenta-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultaclientexcuenta_v1.RespConsultaClientexCuenta> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosInfImpositiva")
    public void consultaDatosInfImpositiva(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosInfInpositiva", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaInfInpositiva-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultainfinpositiva_v1.ReqConsultaDatosInfInpositiva entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosInfInpositiva", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaInfInpositiva-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultainfinpositiva_v1.RespConsultaDatosInfInpositiva> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaEstudioyFormacion")
    public void consultaExtensionPersona(
        @WebParam(partName = "entrada", name = "ReqConsultaExtPer", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaExtensionPersona-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultaextensionpersona_v1.ReqConsultaExtPer entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaExtPer", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaExtensionPersona-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultaextensionpersona_v1.RespConsultaExtPer> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/altaModificacionCorreo-v1")
    public void altaModificacionCorreo(
        @WebParam(partName = "entrada", name = "ReqAltaModificacionCorreo", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/altaModificacionCorreo-v1")
        ar.com.supervielle.xsd.integracion.cliente.altamodificacioncorreo_v1.ReqAltaModificacionCorreo entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaModificacionCorreo", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/altaModificacionCorreo-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.altamodificacioncorreo_v1.RespAltaModificacionCorreo> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultatransacciones-v1")
    public void consultaTransacciones(
        @WebParam(partName = "entrada", name = "ReqConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ReqConsultaTransacciones entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.RespConsultaTransacciones> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaPersonaxDoc")
    public void consultaPersonaxDoc(
        @WebParam(partName = "entrada", name = "ReqConsultaPersonaxDoc", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaPersonaxDoc-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultapersonaxdoc_v1.ReqConsultaPersonaxDoc entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPersonaxDoc", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaPersonaxDoc-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultapersonaxdoc_v1.RespConsultaPersonaxDoc> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosAdicionales")
    public void consultaDatosAdicionales(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosAdicionales", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosAdicionales-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatosadicionales_v1.ReqConsultaDatosAdicionales entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosAdicionales", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosAdicionales-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatosadicionales_v1.RespConsultaDatosAdicionales> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente/consultaDatosPersonaJuridica")
    public void consultaDatosPersonaJuridica(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosPerJur", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersonaJuridica-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatospersonajuridica_v1.ReqConsultaDatosPerJur entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosPerJur", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersonaJuridica-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatospersonajuridica_v1.RespConsultaDatosPerJur> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosPersona")
    public void consultaDatosPersona(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosPersona", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersona-v1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatospersona_v1.ReqConsultaDatosPersona entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosPersona", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersona-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatospersona_v1.RespConsultaDatosPersona> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/altaModificacionTelefono-v1")
    public void altaModificacionTelefono(
        @WebParam(partName = "entrada", name = "ReqAltaModificacionTelefono", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/altaModificacionTelefono-v1")
        ar.com.supervielle.xsd.integracion.cliente.altamodificaciontelefono_v1.ReqAltaModificacionTelefono entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaModificacionTelefono", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/altaModificacionTelefono-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.altamodificaciontelefono_v1.RespAltaModificacionTelefono> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
